package org.ow2.kerneos.examples.extensions.command
{
import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;

import org.ow2.kerneos.examples.extensions.MyModule;
import org.ow2.kerneos.examples.extensions.event.ModuleEvent;

/**
  * The command class from the cairngorm model.
  */
public class ModuleCommand implements ICommand
{
    /**
     * Retrieve the delegate and use it to make the call.
     */
    public function execute(event:CairngormEvent):void
    {
        if(event is ModuleEvent) {
            var moduleEvent:ModuleEvent = event as ModuleEvent;
            if (moduleEvent.type == ModuleEvent.ADD_EXTENSION) {
                MyModule.getInstance().getModel().extensions.addItem(moduleEvent.fragmentView);
            } else {
                if (MyModule.getInstance().getModel().extensions.contains(moduleEvent.fragmentView)) {
                    MyModule.getInstance().getModel().extensions.removeItemAt(
                            MyModule.getInstance().getModel().extensions.getItemIndex(moduleEvent.fragmentView));

                }
            }
        }

    }


}
}
