package org.ow2.kerneos.examples.extensions.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import org.ow2.kerneos.core.api.IFragmentView;

/**
 * A ModuleEvent is dispatched when the associated action is triggered from the view.
 */
public class ModuleEvent extends CairngormEvent
{
    
    ////////////////////////////////////
    //                                //
    //             Event Type         //
    //                                //
    ////////////////////////////////////
    public static var ADD_EXTENSION : String = "ModuleEvent_AddExtension";
    public static var REMOVE_EXTENSION : String = "ModuleEvent_RemoveExtension";

    // Example :
    // Message send in the event
    private var _fragmentView:IFragmentView = null;

    /**
     * Creates a new ModuleEvent.
     */
    public function ModuleEvent(type : String, fragmentView:IFragmentView)
    {
        super(type);
        _fragmentView = fragmentView;
    }


     public function get fragmentView(): IFragmentView
     {
         return _fragmentView;
     }

    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns a new ModuleEvent
     */
    override public function clone() : Event
    {
        var ev:ModuleEvent = new ModuleEvent(this.type, this.fragmentView);
        return ev;
    }

}
}
