package org.ow2.kerneos.examples.extensions.model {

import com.adobe.cairngorm.model.ModelLocator;

import mx.collections.ArrayCollection;

/**
 * The model locator for the Module.
 */
[Bindable]
public class ModuleModelLocator implements ModelLocator {
    ////////////////////////////////////////////////
    //                                            //
    //             Variables Of the model         //
    //                                            //
    ////////////////////////////////////////////////
    private var _extensions:ArrayCollection = new ArrayCollection();

    private var _moduleState:String = "init";

    private var _payment:Number = NaN;

    private var _rejectedReason:String = "";


    ////////////////////////////////////
    //                                //
    //             Functions          //
    //                                //
    ////////////////////////////////////

    public function ModuleModelLocator() {
        super();
    }

    ////////////////////////////////////
    //                                //
    //             Setters            //
    //                                //
    ////////////////////////////////////

    public function set extensions(value:ArrayCollection):void {
        _extensions = value;
    }

    public function set payment(value:Number):void {
        _payment = value;
    }


    public function set rejectedReason(value:String):void {
        _rejectedReason = value;
    }


    public function set moduleState(value:String):void {
        _moduleState = value;
    }

////////////////////////////////////
    //                                //
    //             Getters            //
    //                                //
    ////////////////////////////////////


    public function get extensions():ArrayCollection {
        return _extensions;
    }


    public function get payment():Number {
        return _payment;
    }

    public function get rejectedReason():String {
        return _rejectedReason;
    }


    public function get moduleState():String {
        return _moduleState;
    }
}
}
